
#ifndef SIMPLE_H
#define SIMPLE_H

#include "../../config.h"

#include <gnome.h>

typedef enum {
	TALK_WINDOW_CHANNEL,
	TALK_WINDOW_PRIVATE
} TalkWindowType;

enum {
	PAGE_CHAT,
	PAGE_NOTICE,
	PAGE_NICK,
	LAST_PAGE
} TalkWindowPages;

struct session_gui {
	TalkWindowType type;

	GnomeCanvas *title_canvas;
	GnomeCanvasItem *title_box;
        GnomeCanvasItem *banner;
        GnomeCanvasItem *chanlist_btn;
	GnomeCanvasItem *userlist_btn;

	GtkTooltips *tooltip;

        GnomeCanvas *side_canvas;
        GnomeCanvasItem *side_box;
        GnomeCanvasItem *side_image;

	GtkWidget *window;
	GtkWidget *main_vbox;
	GtkWidget *textgad;
	GtkWidget *inputgad;
	GtkWidget *vscrollbar;
	GtkWidget *bar;
	GtkWidget *op_box;
	GtkWidget *op_xpm;
	GtkWidget *namelistgad;
	GtkWidget *userlistbox;
	GtkWidget *notebook;

	GtkWidget *nick_entry;
	GtkWidget *pages[LAST_PAGE];
	GtkWidget *prev_btn;
	GtkWidget *next_btn;
	GtkWidget *page_nav_box;

	GtkWidget *send_button;
	GtkWidget *nickname;
};

typedef struct session_gui TalkWindow;

typedef struct {
	gchar *name;
	gchar *desc;
	gchar *channel;
        gchar *server;
	gint   port;

	struct server *serv;
} ChannelInfo;

struct server_gui {
	GtkWidget *chanlist_window;

	GByteArray *channel_response_buf;
	GSList *channel_info;

#if 0
	GtkWidget *chanlist_list;
	GtkWidget *chanlist_refresh;
	GtkWidget *chanlist_label;

	/* stored list so it can be resorted */
	GSList *chanlist_data_stored_rows;

	/* users total for all channels */
	guint chanlist_users_found_count;

	/* channel total for /LIST operation */
	guint chanlist_channels_found_count;

	/* track the last list column user clicked */
	gint chanlist_last_column;

	GtkSortType chanlist_sort_type;
#endif
};

typedef struct server_gui TalkServer;

#endif
